append_filename(3)

NAME
append_filename - Concatenates a filename to a path. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

char *append_filename(char *dest, const char *path, const char *filename, int size);

DESCRIPTION
Concatenates the specified filename onto the end of the specified path, storing at most `size' bytes into the `dest' buffer. If `path' doesn't have a trailing path separator, the function will append one if needed. You can use the same buffer both as input and output because Allegro internally works on a copy of the input before touching `dest'. Example:
   append_filename(buf, "/home/user",
                   "prog.bin", sizeof(buf));

RETURN VALUE
Returns a copy of the `dest' parameter.

SEE ALSO
replace_filename(3)